stages:
  - build
  - qa
  - deploy

cache:
  paths:
    - node_modules/

build:
  image: node:14.18.1-alpine
  stage: build
  only:
    - main
  before_script:
    - yarn install
  script:
    - echo "iniciando build..."
  artifacts:
    expire_in: 1 hour
    paths:
      - build

qa:
  stage: qa
  only:
    - main
  dependencies:
    - build
  script:
    - echo "iniciando qa"
    
deploy:
  stage: deploy
  only:
    - main
  image: node:lts-alpine
  dependencies:
    - qa
  script:
    - echo "DEPLOY"
